Debian Bug report logs - #462330
darcs: please implement automatic commit mails

version graph

Package: darcs; Maintainer for darcs is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for darcs is src:darcs.

Reported by: Luca Capello <luca@pca.it>

Date: Wed, 23 Jan 2008 23:45:01 UTC

Severity: wishlist

Tags: upstream

Found in version darcs/1.0.9-1

Fixed in version 2.0.0-1

Done: Trent W. Buck <trentbuck@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.darcs.net/issue639

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, Marco Baringer <mb@bese.it>, Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>, ML Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>, Isaac Jones <ijones@debian.org>:
Bug#462330; Package darcs. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, Marco Baringer <mb@bese.it>, Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>, ML Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>, Isaac Jones <ijones@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: darcs: please implement automatic commit mails
Date: Thu, 24 Jan 2008 00:42:06 +0100
[Message part 1 (text/plain, inline)]
Package: darcs
Version: 1.0.9-1
Severity: wishlist
Tags: upstream

Hello,

while this is for sure an upstream wishlist bug, I'm reporting it here
because it'll be very useful for darcs.d.o [1].

The Debian Common Lisp Team [2] would like to receive a mail every time
a new patch (or a patch bundle) is applied to one of its darcs
repositories ([3], point 3).

Searching on the darcs BTS gave only bug #304 [4], which is not exactly
the same issue I'm reporting.

Searching on the net was far more useful, since I found a patch by
Olivier Thauvin [5] which should allow such a feature in an easy way.
However, I could not find any "official" comment about Olivier's patch,
which seems to not have been applied in the stable nor unstable darcs
repositories.

What's available ATM is a shell script by Marco Baringer [6] (included
for archive purpose), which is already used for the BESE project [7].
While I ignore the original ideas behind this script, what's funny is
that its aim is exactly the same as Olivier Thauvin's patch [5].

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://darcs.debian.org
[2] http://pkg-common-lisp.alioth.debian.org
[3] http://lists.alioth.debian.org/pipermail/pkg-common-lisp-devel/2008-January/000000.html
[4] http://bugs.darcs.net/issue304
[5] http://thread.gmane.org/gmane.comp.version-control.darcs.devel/4049
[6] http://alioth.debian.org/~gismo/darcs-email-changelog.sh
[7] http://common-lisp.net/project/bese/

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-rc8-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages darcs depends on:
ii  libc6                 2.7-6              GNU C Library: Shared libraries
ii  libcurl3              7.17.1-1           Multi-protocol file transfer libra
ii  libgmp3c2             2:4.2.2+dfsg-1     Multiprecision arithmetic library
ii  libkrb53              1.6.dfsg.3~beta1-2 MIT Kerberos runtime libraries
ii  libncurses5           5.6+20080105-1     Shared libraries for terminal hand
ii  zlib1g                1:1.2.3.3.dfsg-11  compression library - runtime

Versions of packages darcs recommends:
ii  postfix [mail-transport-agent 2.4.6-4    High-performance mail transport ag

-- no debconf information

[darcs-email-changelog.sh (text/x-sh, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#462330; Package darcs. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. Full text and rfc822 format available.

Message #10 received at 462330@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Mark Stosberg <mark@summersault.com>
Cc: 462330@bugs.debian.org
Subject: Re: [issue639] wish: new hook to support automatic commit e-mails
Date: Tue, 05 Feb 2008 21:03:41 +0100
forwarded 462330 http://bugs.darcs.net/issue639
thanks

Hi Mark!

On Sun, 03 Feb 2008 05:07:08 +0100, Mark Stosberg wrote:
> New submission from Mark Stosberg <mark@summersault.com>:
>
> This wish was found in the Debian Bug Tracker, submitted by 'luca'

Thank you for having done that.

Just a comment for the future: can you keep the Debian BTS updated,
please?  Simply cc: $BUGNUMBER-forwarded@bugs.debian.org [1] :-D

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://www.debian.org/Bugs/Developer#forward




Noted your statement that Bug has been forwarded to http://bugs.darcs.net/issue639. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 05 Feb 2008 20:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#462330; Package darcs. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. Full text and rfc822 format available.

Message #17 received at 462330@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Darcs bug tracker <bugs@darcs.net>
Cc: beschmi@cloaked.de, droundy@darcs.net, eric.kow@gmail.com, mark@summersault.com, ptp@lysator.liu.se, 462330@bugs.debian.org
Subject: Re: [issue639] wish: new hook to support automatic commit e-mails
Date: Tue, 05 Feb 2008 22:57:03 +0100
Hi there!

Please keep the Debian BTS cc:ed, thanks.

On Mon, 04 Feb 2008 17:15:19 +0100, David Roundy wrote:
> I've just implemented this.  Most darcs commands now define
> DARCS_PATCHES and/or DARCS_FILES, defining the patches and files
> affected, respectively.

David, thank you for having worked on that.  However...

> There's minimal documentation added to the manual, but you should be
> able to simply define in your _darcs/prefs/defaults something like
>
> apply run-posthook
> apply posthook echo $DARCS_PATCHES | mail -s 'Patch applied' user@host.com

From the documentation:

  DARCS_PATCHES contains a human-readable summary of the patches being
  acted upon, and DARCS_FILES contains a list of the files affected, one
  file per line.

Is it possible to add DARCS_HASHES (or similar) which contains the
hash(es) of the patch being acted upon?  In this way, you could have

  apply posthook darcs $COMMAND --patch $DARCS_HASHES | mail ...

This will let the end user finely controls the mail output (which is
something I'd like to).

Thx, bye,
Gismo / Luca




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#462330; Package darcs. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). Full text and rfc822 format available.

Message #22 received at 462330@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Luca Capello <luca@pca.it>, 462330@bugs.debian.org
Cc: Darcs bug tracker <bugs@darcs.net>
Subject: Re: Bug#462330: [issue639] wish: new hook to support automatic commit e-mails
Date: Sat, 5 Jul 2008 22:09:45 +1000
Luca,

Upstream[0] has marked this as resolved, presumably by

    Tue Feb  5 03:07:10 EST 2008  David Roundy <droundy@darcs.net>
      * export information to posthooks in DARCS_PATCHES and DARCS_FILES.

However you then asked for DARCS_HASHES, which I can't see mentioned
in the changelog.  Should the Debian bug[1] be closed, or should the
upstream bug be re-opened?

[0] http://bugs.darcs.net/issue639
[1] http://bugs.debian.org/462330




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#462330; Package darcs. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). Full text and rfc822 format available.

Message #27 received at 462330@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 462330@bugs.debian.org, Darcs bug tracker <bugs@darcs.net>
Subject: Re: Bug#462330: [issue639] wish: new hook to support automatic commit e-mails
Date: Fri, 18 Jul 2008 00:03:57 +0200
[Message part 1 (text/plain, inline)]
Hi Trent!

On Sat, 05 Jul 2008 14:09:45 +0200, Trent W. Buck wrote:
> Upstream[0] has marked this as resolved, presumably by
>
>     Tue Feb  5 03:07:10 EST 2008  David Roundy <droundy@darcs.net>
>       * export information to posthooks in DARCS_PATCHES and DARCS_FILES.
>
> However you then asked for DARCS_HASHES, which I can't see mentioned
> in the changelog.  Should the Debian bug[1] be closed, or should the
> upstream bug be re-opened?

I still think that having the possibility to customize the (mail) output
is far more superior than having a defined format.

However, since I asked for it more than 5 months ago and no one has
replied yet, I guess I'm the only one who thinks like that.  Thus, feel
free to close the Debian bug report.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug closed, send any further explanations to Luca Capello <luca@pca.it> Request was from Trent W. Buck <trentbuck@gmail.com> to control@bugs.debian.org. (Fri, 18 Jul 2008 04:18:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0.0-1. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 22 Jul 2008 01:30:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:50:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:38:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.